> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke an OAuth access token for a given OAuth app. 

> Soft-delete (revoke) an OAuth access token for a given OAuth app.



## OpenAPI

````yaml delete /v1/core/oauth/apps/{clientId}/access-token/{tokenId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Swagger API
servers:
  - url: https://functions.siro.ai/api-externalApi
    description: Siro API external API endpoint
security: []
externalDocs:
  description: View the raw OpenAPI Specification in JSON format
  url: /swagger.json
paths:
  /v1/core/oauth/apps/{clientId}/access-token/{tokenId}:
    delete:
      summary: 'Revoke an OAuth access token for a given OAuth app. '
      description: Soft-delete (revoke) an OAuth access token for a given OAuth app.
      parameters:
        - schema:
            type: string
          required: true
          name: clientId
          in: path
        - schema:
            type: string
          required: true
          name: tokenId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                clientSecret:
                  type: string
                userId:
                  type: string
              required:
                - clientSecret
                - userId
      responses:
        '200':
          description: 'Revoke an OAuth access token for a given OAuth app. '
          content:
            application/json:
              schema:
                type: object
                properties:
                  tokenId:
                    type: string
                required:
                  - tokenId
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization API token
      description: >-
        Organization integration token from Siro admin (Person icon → API
        Tokens). Send Authorization: Bearer <organization-api-token>. This is
        not the OAuth access token used with api.siro.ai user-scoped endpoints.
      x-default: <organization-api-token>

````